Package org.opensaml.xmlsec.config

# Interface XMLSecurityConfiguration

All Superinterfaces:
  `SecurityConfiguration`

All Known Implementing Classes:
  `BasicXMLSecurityConfiguration`

public interface XMLSecurityConfiguration extends SecurityConfiguration
Extends base interface with XML Security configuration objects.

Since:
  5.0.0

## Method Summary

Modifier and Type
Method
Description
`DecryptionConfiguration`
`getDecryptionConfiguration()`
Get the configuration used when decrypting protocol message information.
`EncryptionConfiguration`
`getEncryptionConfiguration()`
Get the configuration used when encrypting protocol message information.
`SignatureSigningConfiguration`
`getSignatureSigningConfiguration()`
Get the configuration used when generating protocol message signatures.
`SignatureValidationConfiguration`
`getSignatureValidationConfiguration()`
Get the configuration used when validating protocol message signatures.

### Methods inherited from interface org.opensaml.security.config.SecurityConfiguration

`getClientTLSValidationConfiguration, getClockSkew, getHttpClientSecurityConfiguration, getIdGenerator`

## Method Details

### getSignatureValidationConfiguration

@Nullable SignatureValidationConfiguration getSignatureValidationConfiguration()
Get the configuration used when validating protocol message signatures.

Returns:
  configuration used when validating protocol message signatures, or null

### getSignatureSigningConfiguration

@Nullable SignatureSigningConfiguration getSignatureSigningConfiguration()
Get the configuration used when generating protocol message signatures.

Returns:
  configuration used when generating protocol message signatures, or null

### getDecryptionConfiguration

@Nullable DecryptionConfiguration getDecryptionConfiguration()
Get the configuration used when decrypting protocol message information.

Returns:
  configuration used when decrypting protocol message information, or null

### getEncryptionConfiguration

@Nullable EncryptionConfiguration getEncryptionConfiguration()
Get the configuration used when encrypting protocol message information.

Returns:
  configuration used when encrypting protocol message information, or null